### Method

# GtkSource SearchContext replace_all

#### Declaration [src]

    guint
    gtk_source_search_context_replace_all (
      GtkSourceSearchContext* search,
      const gchar* replace,
      gint replace_length,
      GError** error
    )

#### Description [src]

Replaces all search matches by another text.

It is a synchronous function, so it can block the user interface.

For a regular expression replacement, you can check if `replace` is valid by calling `g_regex_check_replacement()`. The `replace` text can contain backreferences.

#### Parameters

`replace`

  Type: `const gchar*`

  The replacement text.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`replace_length`

  Type: `gint`

  The length of `replace` in bytes, or -1.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `guint`

The number of replaced matches.